org.jboss.shrinkwrap.descriptor.api.connector16

## Interface ActivationspecType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ActivationspecType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `activationspecType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ConfigPropertyType<ActivationspecType<T>>` | `createConfig` Creates a new `config-property` element
    `RequiredConfigPropertyType<ActivationspecType<T>>` | `createRequiredConfig` Creates a new `required-config-property` element
    `ActivationspecType<T>` | `removeAllConfig` Removes all `config-property` elements
    `ActivationspecType<T>` | `removeAllRequiredConfig` Removes all `required-config-property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationspecType<T>` | `activationspecClass(java.lang.String activationspecClass)` Sets the `activationspec-class` element
    `ConfigPropertyType<ActivationspecType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `RequiredConfigPropertyType<ActivationspecType<T>>` | `createRequiredConfigProperty()` Creates a new `required-config-property` element
    `java.lang.String` | `getActivationspecClass()` Returns the `activationspec-class` element
    `java.util.List<ConfigPropertyType<ActivationspecType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.util.List<RequiredConfigPropertyType<ActivationspecType<T>>>` | `getAllRequiredConfigProperty()` Returns all `required-config-property` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `ConfigPropertyType<ActivationspecType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `RequiredConfigPropertyType<ActivationspecType<T>>` | `getOrCreateRequiredConfigProperty()` If not already created, a new `required-config-property` element will be created and returned.
    `ActivationspecType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ActivationspecType<T>` | `removeActivationspecClass()` Removes the `activationspec-class` element
    `ActivationspecType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `ActivationspecType<T>` | `removeAllRequiredConfigProperty()` Removes all `required-config-property` elements
    `ActivationspecType<T>` | `removeId()` Removes the `id` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createRequiredConfig

          RequiredConfigPropertyType<ActivationspecType<T>> createRequiredConfigProperty

      Creates a new `required-config-property` element

    - #### removeAllRequiredConfig

          ActivationspecType<T> removeAllRequiredConfigProperty

      Removes all `required-config-property` elements

    - #### createConfig

          ConfigPropertyType<ActivationspecType<T>> createConfigProperty

      Creates a new `config-property` element

    - #### removeAllConfig

          ActivationspecType<T> removeAllConfigProperty

      Removes all `config-property` elements

  - ### Method Detail

    - #### activationspecClass

          ActivationspecType<T> activationspecClass(java.lang.String activationspecClass)

      Sets the `activationspec-class` element
      Parameters:
        `activationspecClass` - the value for the element `activationspec-class`
      Returns:
        the current instance of `ActivationspecType`

    - #### getActivationspecClass

          java.lang.String getActivationspecClass()

      Returns the `activationspec-class` element
      Returns:
        the node defined for the element `activationspec-class`

    - #### removeActivationspecClass

          ActivationspecType<T> removeActivationspecClass()

      Removes the `activationspec-class` element
      Returns:
        the current instance of `ActivationspecType`

    - #### getOrCreateRequiredConfigProperty

          RequiredConfigPropertyType<ActivationspecType<T>> getOrCreateRequiredConfigProperty()

      If not already created, a new `required-config-property` element will be created and returned. Otherwise, the first existing `required-config-property` element will be returned.
      Returns:
        the instance defined for the element `required-config-property`

    - #### createRequiredConfigProperty

          RequiredConfigPropertyType<ActivationspecType<T>> createRequiredConfigProperty()

      Creates a new `required-config-property` element

    - #### getAllRequiredConfigProperty

          java.util.List<RequiredConfigPropertyType<ActivationspecType<T>>> getAllRequiredConfigProperty()

      Returns all `required-config-property` elements
      Returns:
        list of `required-config-property`

    - #### removeAllRequiredConfigProperty

          ActivationspecType<T> removeAllRequiredConfigProperty()

      Removes all `required-config-property` elements

    - #### getOrCreateConfigProperty

          ConfigPropertyType<ActivationspecType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<ActivationspecType<T>> createConfigProperty()

      Creates a new `config-property` element

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<ActivationspecType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          ActivationspecType<T> removeAllConfigProperty()

      Removes all `config-property` elements

    - #### id

          ActivationspecType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ActivationspecType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ActivationspecType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ActivationspecType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)